package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.TSSDTaskPolicy;
import com.sa.ibiz.demo.demo.service.dto.TSSDTaskPolicySearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[TSSDTaskPolicy] 服务对象接口
 */
public interface TSSDTaskPolicyService extends IService<TSSDTaskPolicy>{

	boolean create(TSSDTaskPolicy et);
	boolean getDraft(TSSDTaskPolicy et);
	boolean remove(TSSDTaskPolicy et);
	boolean update(TSSDTaskPolicy et);
		TSSDTaskPolicy get(TSSDTaskPolicy et);
	boolean checkKey(TSSDTaskPolicy et);
    List<TSSDTaskPolicy> listDefault(TSSDTaskPolicySearchFilter filter) ;
	Page<TSSDTaskPolicy> searchDefault(TSSDTaskPolicySearchFilter filter);
	/**	 实体[TSSDTaskPolicy] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }